Page MenuHomePhabricator

Flow: Migrate browser tests from Ruby to node.js
Closed, ResolvedPublic

Event Timeline

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptAug 30 2017, 6:05 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

@SBisson let me know if you need help. I am available for pairing and/or code review. Documentation is available: Selenium/Node.js, Selenium/Node.js/Write...

@SBisson let me know if you need help. I am available for pairing and/or code review. Documentation is available: Selenium/Node.js, Selenium/Node.js/Write...

I wasn't planning on working on this given the uncertainty surrounding the Flow front-end.

New browser tests (if we decide to have some for Flow), would likely be written alongside software features and not as part of one large "migrate all tests" task.

However, we will gladly use your help to get started on the right foot with the new stack when needed.

Change 393917 had a related patch set uploaded (by Zfilipin; owner: Jforrester):
[mediawiki/extensions/Flow@master] Delete Ruby Selenium tests

https://gerrit.wikimedia.org/r/393917

zeljkofilipin triaged this task as Normal priority.
zeljkofilipin added a comment.EditedNov 29 2017, 7:20 PM

I have assigned the task to myself until I make sure Flow tests are moved from CI.

Change 394111 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[integration/config@master] Do not run Ruby Selenium jobs for Flow

https://gerrit.wikimedia.org/r/394111

Change 393917 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Delete Ruby Selenium tests

https://gerrit.wikimedia.org/r/393917

Change 394111 merged by jenkins-bot:
[integration/config@master] Do not run Ruby Selenium jobs for Flow

https://gerrit.wikimedia.org/r/394111

zeljkofilipin closed this task as Resolved.Dec 6 2017, 11:43 AM

Ruby tests and related job have been deleted.